# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::BlendFunc Class Reference

RenderState wrapping the OpenGL function glBlendFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendFunc.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::BlendFunc:

List of all members.

## Public Member Functions

| BlendFunc (EBlendFactor src_rgb=BF_SRC_ALPHA, EBlendFactor dst_rgb=BF_ONE_MINUS_SRC_ALPHA, EBlendFactor src_alpha=BF_SRC_ALPHA, EBlendFactor dst_alpha=BF_ONE_MINUS_SRC_ALPHA)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EBlendFactor src_rgb, EBlendFactor dst_rgb, EBlendFactor src_alpha, EBlendFactor dst_alpha)
void | set (EBlendFactor src_rgba, EBlendFactor dst_rgba)
void | setSrcRGB (EBlendFactor factor)
void | setDstRGB (EBlendFactor factor)
void | setSrcAlpha (EBlendFactor factor)
void | setDstAlpha (EBlendFactor factor)
EBlendFactor | srcRGB () const
EBlendFactor | dstRGB () const
EBlendFactor | srcAlpha () const
EBlendFactor | dstAlpha () const

## Protected Attributes

EBlendFactor | mSrcRGB
EBlendFactor | mDstRGB
EBlendFactor | mSrcAlpha
EBlendFactor | mDstAlpha

## Detailed Description

RenderState wrapping the OpenGL function glBlendFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendFunc.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_BLEND

Definition at line 367 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::BlendFunc::BlendFunc | ( | EBlendFactor | src_rgb = `BF_SRC_ALPHA`,
|  | EBlendFactor | dst_rgb = `BF_ONE_MINUS_SRC_ALPHA`,
|  | EBlendFactor | src_alpha = `BF_SRC_ALPHA`,
|  | EBlendFactor | dst_alpha = `BF_ONE_MINUS_SRC_ALPHA`
| ) |  | `[inline]`

Definition at line 370 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::BlendFunc::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 375 of file Shader.hpp.

virtual ERenderState vl::BlendFunc::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 376 of file Shader.hpp.

References vl::RS_BlendFunc.

void BlendFunc::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 285 of file Shader.cpp.

References mDstAlpha, mDstRGB, mSrcAlpha, mSrcRGB, VL_CHECK_OGL, and vl::VL_glBlendFuncSeparate().

void vl::BlendFunc::set | ( | EBlendFactor | src_rgb,
|  | EBlendFactor | dst_rgb,
|  | EBlendFactor | src_alpha,
|  | EBlendFactor | dst_alpha
| ) |  | `[inline]`

Definition at line 379 of file Shader.hpp.

void vl::BlendFunc::set | ( | EBlendFactor | src_rgba,
|  | EBlendFactor | dst_rgba
| ) |  | `[inline]`

Definition at line 380 of file Shader.hpp.

void vl::BlendFunc::setSrcRGB | ( | EBlendFactor | factor ) | `[inline]`

Definition at line 381 of file Shader.hpp.

void vl::BlendFunc::setDstRGB | ( | EBlendFactor | factor ) | `[inline]`

Definition at line 382 of file Shader.hpp.

void vl::BlendFunc::setSrcAlpha | ( | EBlendFactor | factor ) | `[inline]`

Definition at line 383 of file Shader.hpp.

void vl::BlendFunc::setDstAlpha | ( | EBlendFactor | factor ) | `[inline]`

Definition at line 384 of file Shader.hpp.

EBlendFactor vl::BlendFunc::srcRGB | ( | ) | const`[inline]`

Definition at line 385 of file Shader.hpp.

EBlendFactor vl::BlendFunc::dstRGB | ( | ) | const`[inline]`

Definition at line 386 of file Shader.hpp.

EBlendFactor vl::BlendFunc::srcAlpha | ( | ) | const`[inline]`

Definition at line 387 of file Shader.hpp.

EBlendFactor vl::BlendFunc::dstAlpha | ( | ) | const`[inline]`

Definition at line 388 of file Shader.hpp.

## Member Data Documentation

EBlendFactor vl::BlendFunc::mSrcRGB`[protected]`

Definition at line 390 of file Shader.hpp.

Referenced by apply().

EBlendFactor vl::BlendFunc::mDstRGB`[protected]`

Definition at line 391 of file Shader.hpp.

Referenced by apply().

EBlendFactor vl::BlendFunc::mSrcAlpha`[protected]`

Definition at line 392 of file Shader.hpp.

Referenced by apply().

EBlendFactor vl::BlendFunc::mDstAlpha`[protected]`

Definition at line 393 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.